%define oname MystiQ

Summary:        Audio/Video converter
Name:           mystiq
Version:        20.03.23
Release:        1%{?dist}

# The entire source code is GPLv3+
License:        GPLv3+
Url:            https://mystiqapp.com/
Source0:        https://github.com/swl-x/MystiQ/archive/v%{version}.tar.gz
BuildRequires:  qt5-qtbase-devel
BuildRequires:  qt5-qtdeclarative-devel
BuildRequires:  qt5-qtquickcontrols2-devel
BuildRequires:  qt5-qtsvg-devel
BuildRequires:  qt5-qtmultimedia-devel
BuildRequires:  desktop-file-utils
BuildRequires:  pkgconfig(alsa)
BuildRequires:  pkgconfig(x11)
BuildRequires:  desktop-file-utils
BuildRequires:  libappstream-glib
Requires:       ffmpeg
Requires:       sox

%description
MystiQ is a GUI for FFmpeg, a powerful media converter. 
FFmpeg can read audio and video files in various 
formats and convert them into other formats. 
MystiQ features an intuitive graphical 
interface and a rich set of presets to help you 
convert media files within a few clicks.
Advanced users can also adjust conversion parameters in detail.


%prep
%setup -qn %{oname}-%{version}
chmod -x mystiq.desktop icons/mystiq.svg

%build
%{set_build_flags}
%{qmake_qt5} mystiq.pro
%make_build USE_LIBNOTIFY=1 -j3 VERBOSE=1

%install
%make_install INSTALL_ROOT=%{buildroot}

%check
desktop-file-validate %{buildroot}%{_datadir}/applications/*.desktop
appstream-util validate-relax --nonet %{buildroot}%{_datadir}/metainfo/*.appdata.xml

%files
%license LICENSE
%doc README.md CONTRIBUTING.md
%{_bindir}/%{name}
%{_datadir}/applications/*.desktop
%{_datadir}/metainfo/%{name}.appdata.xml
%dir %{_datadir}/icons/hicolor/
%dir %{_datadir}/icons/hicolor/scalable/
%dir %{_datadir}/icons/hicolor/scalable/apps/
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%{_mandir}/man1/*.1.gz

%changelog
* Fri Feb 05 2021 Martin Gansser <martinkg@fedoraproject.org> - 20.03.23-1
- Initial build
